#
# Note: This is not noarch, as it has %{_libdir} etc. hardcoded in *.py files
%define		_enable_debug_packages	0
#
Summary:	Pacemaker command line interface for management and configuration
Summary(pl.UTF-8):	Interfejs linii poleceń do zarządzania i konfiguracji Pacemakera
Name:		crmsh
Version:	3.0.0
Release:	2
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/ClusterLabs/crmsh/releases
Source0:	https://github.com/ClusterLabs/crmsh/archive/%{version}/crmsh-%{version}.tar.gz
# Source0-md5:	ff41cc2f4abf4498ea55fe033eb854f3
Patch0:		%{name}-awk.patch
URL:		http://crmsh.github.io/
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	docbook-dtd45-xml
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	cluster-glue
Requires:	pacemaker >= 1.1.11
Provides:	pacemaker-shell
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pacemaker command line interface for management and configuration.

Contains the 'crm' utility which was part of Pacemaker < 1.1.8.

%description -l pl.UTF-8
Interfejs linii poleceń do zarządzania i konfiguracji Pacemakera.

Zawiera polecenie "crm", które było częścią Pacemakera < 1.1.8.

%prep
%setup -q
%patch0 -p1

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python(\s|$),#!%{__python}\1,' -e '1s,#!\s*/usr/bin/python(\s|$),#!%{__python}\1,' \
      utils/crm_clean.py \
      utils/crm_pkg.py \
      utils/crm_rpmcheck.py \
      scripts/check-uptime/*.py \
      scripts/health/*.py \
      bin/crm

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	PYTHON=%{__python}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
# can we py_postclean?

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
# tests
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/tests
# reduntant
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/crmsh/install_files.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md TODO doc/*.html
%dir /etc/crm
%config(noreplace) %verify(not md5 mtime size) /etc/crm/crm.conf
%attr(755,root,root) %{_bindir}/crm
%{py_sitedir}/crmsh
%{py_sitedir}/crmsh-%{version}-py*.egg-info
%{_datadir}/%{name}
%{_mandir}/man8/crm.8*
%{_mandir}/man8/crmsh_hb_report.8*
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crmsh.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 921a768
- fix shebangs
- disable debug packages
- rel 2

* Sat Apr 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 396bc2c
- updated to 3.0.0

* Sun Oct 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 012656f
- updated to 2.3.1
- pythonegg dependencies are autogenerated now

* Sun Apr 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 05d1f7f
- updated to 2.1.2
- pl
- don't package tests

* Sat Dec 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6ca382c
- up to 2.1.1
- add R python-lxml

* Mon Jun 30 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 65d388f
- Version: 2.1.0

* Wed Jun 26 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 9d5df66
- Version: 1.2.5

* Wed Jan 23 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 7c64fc3
- BR: cluster-glue-libs-devel

* Wed Jan 23 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 90c8370
- Version: 1.2.4

* Thu Nov 01 2012 Jacek Konieczny <jajcus@jajcus.net> dde8878
- ZeroDivisionError fix

* Thu Nov 01 2012 Jacek Konieczny <jajcus@jajcus.net> 8c04ad3
- BR: docbook-dtd45-xml

* Thu Oct 25 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> f9bcbc1
- New package.

